#!/bin/bash

if systemctl is-system-running | grep -qE "running|degraded"; then
  logger "vpprestart: system running, trying to restart vpp processes"
  /opt/bin/netlink-vpp-restart.py
  systemctl restart sr-interfaces.service
  # systemctl restart neutron-vpp-agent.service
  systemctl restart --no-block vpp_events.service
  if [ "active" = "$(systemctl is-active collectd.service)" ]; then
    systemctl restart --no-block collectd.service
  fi
  if [ "active" = "$(systemctl is-active keepalived.service)" ]; then
    systemctl restart --no-block keepalived.service
  fi
  logger "vpprestart: done"
else
  logger "vpprestart: system is not running, do nothing"
fi

exit 0
